!===============================================================================
!
! module_cg_vol.F90
!
!-------------------------------------------------------------------------------
!
! Copyright (C) 2012-2016 Hinnerk Stueben
!
! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
!
! BQCD is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!
! BQCD is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
!
!-------------------------------------------------------------------------------
# define LANGUAGE_FORTRAN

!-------------------------------------------------------------------------------
module module_cg_vol
  integer, save :: volh_r4,  volh_tot_r4
  integer, save :: volh_r4s, volh_tot_r4s
  integer, save :: volh_r8,  volh_tot_r8
  integer, save :: volh_r8s, volh_tot_r8s
end

FOR field in _sc _sc22
FOR _rrs in _r4 _r4s _r8 _r8s
!-------------------------------------------------------------------------------
module module_vol %% field %% _rrs
  use module_cg_vol, volh => volh %% _rrs, volh_tot => volh_tot %% _rrs
end

ENDFOR
ENDFOR

!===============================================================================
