!===============================================================================
!
! typedef_cg_comm.F90
!
!-------------------------------------------------------------------------------
!
! Copyright (C) 2012-2015 Hinnerk Stueben
!
! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
!
! BQCD is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!
! BQCD is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
!
!-------------------------------------------------------------------------------
# define LANGUAGE_FORTRAN
# include "defs.h"

!-------------------------------------------------------------------------------
module typedef_cg_comm

  implicit none
  include 'mpif.h'

  type type_cg_comm_info
     integer :: ibuf
     integer :: count
     integer :: datatype
     integer :: rank
  end type type_cg_comm_info

  type type_cg_comm
     type(type_cg_comm_info) :: send
     type(type_cg_comm_info) :: recv
  end type type_cg_comm

end

!===============================================================================
