!===============================================================================
!
! ildg_seq_r4.F90 - order gauge field in ILDG sequence
!
!-------------------------------------------------------------------------------
!
! Copyright (C) 2007-2017 Hinnerk Stueben
!
! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
!
! BQCD is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!
! BQCD is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
!
!-------------------------------------------------------------------------------
# define ILDG_R4
# include "defs.h"

# define ildg_seq_r8 ildg_seq_r4
# define ildg_u1_seq_r8 ildg_u1_seq_r4
# define ildg_axion_seq_r8 ildg_axion_seq_r4
# define ildg_landau_seq_r8 ildg_landau_seq_r4
# define ildg_landau_io_r8 ildg_landau_io_r4
# define ildg_landau_mult_r8 ildg_landau_mult_r4
# define swap_endian8 swap_endian4

# include "ildg_seq_r8.F90"
!===============================================================================
