#/*
#!===============================================================================
#!
#! gamma.h -- Gamma matrix
#!
#!-------------------------------------------------------------------------------
#!
#! Copyright (C) 2007 Yoshifumi Nakamura
#!
#! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
#!
#! BQCD is free software: you can redistribute it and/or modify
#! it under the terms of the GNU General Public License as published by
#! the Free Software Foundation, either version 3 of the License, or
#! (at your option) any later version.
#!
#! BQCD is distributed in the hope that it will be useful,
#! but WITHOUT ANY WARRANTY; without even the implied warranty of
#! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#! GNU General Public License for more details.
#!
#! You should have received a copy of the GNU General Public License
#! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
#!
#!-------------------------------------------------------------------------------
#*/



# define G0   1
# define G1   2
# define G2   3
# define G3   4
# define G5   5
# define G01  6
# define G02  7
# define G03  8
# define G05  9
# define G15  10
# define G25  11
# define G35  12
# define G12  13
# define G23  14
# define G31  15
# define CGm  16
# define UNP  17
# define POL  18
# define Uni  19


# define Gi   93
# define G0i  94
# define Gi5  95
