divert(-1)
#===============================================================================
#
# spin_sum_inner.m4
#
#-------------------------------------------------------------------------------
#
# Copyright (C) 2008-2010 Yoshifumi Nakamura
#
# This file is part of BQCD -- Berlin Quantum ChromoDynamics program
#
# BQCD is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# BQCD is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
#
#-------------------------------------------------------------------------------
divert(0)dnl
divert(-1)
#
#
# macro for spin projection
#
#
divert(0)dnl
define(_sum_1_p_gamma1,`dnl
`$1'1`$3' = `$1'1`$3' +      `$2'1`$3'
`$1'2`$3' = `$1'2`$3' +      `$2'2`$3'
`$1'3`$3' = `$1'3`$3' +_ITS( `$2'2`$3' )
`$1'4`$3' = `$1'4`$3' +_ITS( `$2'1`$3' )     ')dnl
define(_sum_1_m_gamma1,`dnl
`$1'1`$3' = `$1'1`$3' +      `$2'1`$3'
`$1'2`$3' = `$1'2`$3' +      `$2'2`$3'
`$1'3`$3' = `$1'3`$3' -_ITS( `$2'2`$3' )
`$1'4`$3' = `$1'4`$3' -_ITS( `$2'1`$3' )     ')dnl
define(_sum_1_p_gamma2,`dnl
`$1'1`$3' = `$1'1`$3' +      `$2'1`$3'
`$1'2`$3' = `$1'2`$3' +      `$2'2`$3'
`$1'3`$3' = `$1'3`$3' +      `$2'2`$3'
`$1'4`$3' = `$1'4`$3' -      `$2'1`$3'       ')dnl
define(_sum_1_m_gamma2,`dnl
`$1'1`$3' = `$1'1`$3' +      `$2'1`$3'
`$1'2`$3' = `$1'2`$3' +      `$2'2`$3'
`$1'3`$3' = `$1'3`$3' -      `$2'2`$3'
`$1'4`$3' = `$1'4`$3' +      `$2'1`$3'       ')dnl
define(_sum_1_p_gamma3,`dnl
`$1'1`$3' = `$1'1`$3' +      `$2'1`$3'
`$1'2`$3' = `$1'2`$3' +      `$2'2`$3'
`$1'3`$3' = `$1'3`$3' +_ITS( `$2'1`$3' )
`$1'4`$3' = `$1'4`$3' -_ITS( `$2'2`$3' )     ')dnl
define(_sum_1_m_gamma3,`dnl
`$1'1`$3' = `$1'1`$3' +      `$2'1`$3'
`$1'2`$3' = `$1'2`$3' +      `$2'2`$3'
`$1'3`$3' = `$1'3`$3' -_ITS( `$2'1`$3' )
`$1'4`$3' = `$1'4`$3' +_ITS( `$2'2`$3' )     ')dnl
define(_sum_1_p_gammac,`dnl
`$1'1`$3' = `$1'1`$3' +      `$2'1`$3'
`$1'2`$3' = `$1'2`$3' +      `$2'2`$3'
`$1'3`$3' = `$1'3`$3' +      `$2'1`$3'
`$1'4`$3' = `$1'4`$3' +      `$2'2`$3'       ')dnl
define(_sum_1_m_gammac,`dnl
`$1'1`$3' = `$1'1`$3' +      `$2'1`$3'
`$1'2`$3' = `$1'2`$3' +      `$2'2`$3'
`$1'3`$3' = `$1'3`$3' -      `$2'1`$3'
`$1'4`$3' = `$1'4`$3' -      `$2'2`$3'       ')dnl
define(_sum_1_p_gamman,`dnl
`$1'1`$3' = `$1'1`$3' +      `$2'1`$3'
`$1'2`$3' = `$1'2`$3' +      `$2'2`$3'       ')dnl
define(_sum_1_m_gamman,`dnl
`$1'3`$3' = `$1'3`$3' +      `$2'1`$3'
`$1'4`$3' = `$1'4`$3' +      `$2'2`$3'       ')dnl