!===============================================================================
!
! typedef_clover.F90
!
!-------------------------------------------------------------------------------
!
! Copyright (C) 2003 Hinnerk Stueben 
!               2012 Yoshifumi Nakamura
!
! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
!
! BQCD is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!
! BQCD is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
!
!-------------------------------------------------------------------------------
# include "defs.h"

!-------------------------------------------------------------------------------
module typedef_clover

  type type_clover_a
    sequence

    REAL i11
    REAL i22

    COMPLEX i12
    COMPLEX i13
    COMPLEX i14
    COMPLEX i15
    COMPLEX i16

    COMPLEX i23
    COMPLEX i24
    COMPLEX i25
    COMPLEX i26

    REAL i33
    REAL i44

    COMPLEX i34
    COMPLEX i35
    COMPLEX i36

    COMPLEX i45
    COMPLEX i46

    REAL i55
    REAL i66

    COMPLEX i56
  end type type_clover_a


  type type_clover_b
    sequence

    COMPLEX i21

    COMPLEX i31
    COMPLEX i32

    COMPLEX i41
    COMPLEX i42
    COMPLEX i43

    COMPLEX i51
    COMPLEX i52
    COMPLEX i53
    COMPLEX i54

    COMPLEX i61
    COMPLEX i62
    COMPLEX i63
    COMPLEX i64
    COMPLEX i65

    REAL i11
    REAL i22
    REAL i33
    REAL i44
    REAL i55
    REAL i66
  end type type_clover_b

  type type_clover12
    sequence

    COMPLEX i(12,12)
!    COMPLEX i12
!    COMPLEX i13
!    COMPLEX i14
!    COMPLEX i15
!    COMPLEX i16
!    COMPLEX i17
!    COMPLEX i18
!    COMPLEX i19
!    COMPLEX i1a
!    COMPLEX i1b
!    COMPLEX i1c
!
!    COMPLEX i21
!    COMPLEX i22
!    COMPLEX i23
!    COMPLEX i24
!    COMPLEX i25
!    COMPLEX i26
!    COMPLEX i27
!    COMPLEX i28
!    COMPLEX i29
!    COMPLEX i2a
!    COMPLEX i2b
!    COMPLEX i2c
!
!    COMPLEX i31
!    COMPLEX i32
!    COMPLEX i33
!    COMPLEX i34
!    COMPLEX i35
!    COMPLEX i36
!    COMPLEX i37
!    COMPLEX i38
!    COMPLEX i39
!    COMPLEX i3a
!    COMPLEX i3b
!    COMPLEX i3c
!
!    COMPLEX i41
!    COMPLEX i42
!    COMPLEX i43
!    COMPLEX i44
!    COMPLEX i45
!    COMPLEX i46
!    COMPLEX i47
!    COMPLEX i48
!    COMPLEX i49
!    COMPLEX i4a
!    COMPLEX i4b
!    COMPLEX i4c
!
!    COMPLEX i51
!    COMPLEX i52
!    COMPLEX i53
!    COMPLEX i54
!    COMPLEX i55
!    COMPLEX i56
!    COMPLEX i57
!    COMPLEX i58
!    COMPLEX i59
!    COMPLEX i5a
!    COMPLEX i5b
!    COMPLEX i5c
!
!    COMPLEX i61
!    COMPLEX i62
!    COMPLEX i63
!    COMPLEX i64
!    COMPLEX i65
!    COMPLEX i66
!    COMPLEX i67
!    COMPLEX i68
!    COMPLEX i69
!    COMPLEX i6a
!    COMPLEX i6b
!    COMPLEX i6c
!
!    COMPLEX i71
!    COMPLEX i72
!    COMPLEX i73
!    COMPLEX i74
!    COMPLEX i75
!    COMPLEX i76
!    COMPLEX i77
!    COMPLEX i78
!    COMPLEX i79
!    COMPLEX i7a
!    COMPLEX i7b
!    COMPLEX i7c
!
!    COMPLEX i81
!    COMPLEX i82
!    COMPLEX i83
!    COMPLEX i84
!    COMPLEX i85
!    COMPLEX i86
!    COMPLEX i87
!    COMPLEX i88
!    COMPLEX i89
!    COMPLEX i8a
!    COMPLEX i8b
!    COMPLEX i8c
!
!    COMPLEX i91
!    COMPLEX i92
!    COMPLEX i93
!    COMPLEX i94
!    COMPLEX i95
!    COMPLEX i96
!    COMPLEX i97
!    COMPLEX i98
!    COMPLEX i99
!    COMPLEX i9a
!    COMPLEX i9b
!    COMPLEX i9c
!
!    COMPLEX ia1
!    COMPLEX ia2
!    COMPLEX ia3
!    COMPLEX ia4
!    COMPLEX ia5
!    COMPLEX ia6
!    COMPLEX ia7
!    COMPLEX ia8
!    COMPLEX ia9
!    COMPLEX iaa
!    COMPLEX iab
!    COMPLEX iac
!
!    COMPLEX ib1
!    COMPLEX ib2
!    COMPLEX ib3
!    COMPLEX ib4
!    COMPLEX ib5
!    COMPLEX ib6
!    COMPLEX ib7
!    COMPLEX ib8
!    COMPLEX ib9
!    COMPLEX iba
!    COMPLEX ibb
!    COMPLEX ibc
!
!    COMPLEX ic1
!    COMPLEX ic2
!    COMPLEX ic3
!    COMPLEX ic4
!    COMPLEX ic5
!    COMPLEX ic6
!    COMPLEX ic7
!    COMPLEX ic8
!    COMPLEX ic9
!    COMPLEX ica
!    COMPLEX icb
!    COMPLEX icc

  end type type_clover12

end
!===============================================================================
