!===============================================================================
!
! module_cg_comm.F90 - communication
!
!-------------------------------------------------------------------------------
!
! Copyright (C) 2012-2015 Hinnerk Stueben
!
! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
!
! BQCD is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!
! BQCD is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
!
!-------------------------------------------------------------------------------
# define LANGUAGE_FORTRAN
# include "defs.h"

FOR _rr in _r4 _r8
FOR simd in '' s
SET _rrs = _rr %% simd
!-------------------------------------------------------------------------------
module module_cg_comm %% _rrs

  use typedef_cg_comm
  implicit none
  type(type_cg_comm), save :: cg_comm(DIM, FWD:BWD)
end

ENDSET
ENDFOR
ENDFOR
!===============================================================================
