/*
!===============================================================================
!
! D103_qpx_block_r4.c
!
!-------------------------------------------------------------------------------
!
! Copyright (C) 2013 Hinnerk Stueben
!
! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
!
! BQCD is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!
! BQCD is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
!
!-------------------------------------------------------------------------------
*/
#ifndef USE_SIMD_QPX
#define USE_SIMD_QPX
#endif

# define PRECISION_R4
#define BLOCK

#undef DAGGER

#undef  NAME
#define NAME d_x_block2_r4
#define DIR_X
#include "D103xyzt_r4.c"
#undef  DIR_X

#undef  NAME
#define NAME d_y_block2_r4
#define DIR_Y
#include "D103xyzt_r4.c"
#undef  DIR_Y

#undef  NAME
#define NAME d_z_block2_r4
#define DIR_Z
#include "D103xyzt_r4.c"
#undef  DIR_Z

#undef  NAME
#define NAME d_t_block2_r4
#define DIR_T
#include "D103xyzt_r4.c"
#undef  DIR_T

#define DAGGER

#undef  NAME
#define NAME d_dag_x_block2_r4
#define DIR_X
#include "D103xyzt_r4.c"
#undef  DIR_X

#undef  NAME
#define NAME d_dag_y_block2_r4
#define DIR_Y
#include "D103xyzt_r4.c"
#undef  DIR_Y

#undef  NAME
#define NAME d_dag_z_block2_r4
#define DIR_Z
#include "D103xyzt_r4.c"
#undef  DIR_Z

#undef  NAME
#define NAME d_dag_t_block2_r4
#define DIR_T
#include "D103xyzt_r4.c"
#undef  DIR_T

