/*
!===============================================================================
!
! D103_sse.c
!
!-------------------------------------------------------------------------------
!
! Copyright (C) 2013 Hinnerk Stueben
!
! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
!
! BQCD is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!
! BQCD is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
!
!-------------------------------------------------------------------------------
*/
#ifndef USE_SIMD_SSE
#define USE_SIMD_SSE
#endif

#undef DAGGER

#undef  NAME
#define NAME d_xf
#define DIR_X
#include "D103xyzt.c"
#undef  DIR_X

#undef  NAME
#define NAME d_yf
#define DIR_Y
#include "D103xyzt.c"
#undef  DIR_Y

#undef  NAME
#define NAME d_zf
#define DIR_Z
#include "D103xyzt.c"
#undef  DIR_Z

#undef  NAME
#define NAME d_t
#define DIR_T
#include "D103xyzt.c"
#undef  DIR_T

#define DAGGER

#undef  NAME
#define NAME d_dag_xf
#define DIR_X
#include "D103xyzt.c"
#undef  DIR_X

#undef  NAME
#define NAME d_dag_yf
#define DIR_Y
#include "D103xyzt.c"
#undef  DIR_Y

#undef  NAME
#define NAME d_dag_zf
#define DIR_Z
#include "D103xyzt.c"
#undef  DIR_Z

#undef  NAME
#define NAME d_dag_t
#define DIR_T
#include "D103xyzt.c"
#undef  DIR_T
