divert(-1)
#===============================================================================
#
# d104_defs.m4
#
#-------------------------------------------------------------------------------
#
# Copyright (C) 2008-2010 Yoshifumi Nakamura
#
# This file is part of BQCD -- Berlin Quantum ChromoDynamics program
#
# BQCD is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# BQCD is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
#
#-------------------------------------------------------------------------------
divert(0)dnl
define(`_load_su3',`dnl
`$1'11 = u(1, 1, `$2', `$4', `$3')
`$1'21 = u(2, 1, `$2', `$4', `$3')
`$1'31 = u(3, 1, `$2', `$4', `$3')
`$1'12 = u(1, 2, `$2', `$4', `$3')
`$1'22 = u(2, 2, `$2', `$4', `$3')
`$1'32 = u(3, 2, `$2', `$4', `$3')
`$1'13 = u(1, 3, `$2', `$4', `$3')
`$1'23 = u(2, 3, `$2', `$4', `$3')
`$1'33 = u(3, 3, `$2', `$4', `$3')
')dnl
define(`_load_su3dag',`dnl
`$1'11 = conjg(u(1, 1, `$2', `$4', `$3'))
`$1'21 = conjg(u(1, 2, `$2', `$4', `$3'))
`$1'31 = conjg(u(1, 3, `$2', `$4', `$3'))
`$1'12 = conjg(u(2, 1, `$2', `$4', `$3'))
`$1'22 = conjg(u(2, 2, `$2', `$4', `$3'))
`$1'32 = conjg(u(2, 3, `$2', `$4', `$3'))
`$1'13 = conjg(u(3, 1, `$2', `$4', `$3'))
`$1'23 = conjg(u(3, 2, `$2', `$4', `$3'))
`$1'33 = conjg(u(3, 3, `$2', `$4', `$3'))
')dnl
define(`_mult_spinor_su3',`dnl
`$1'11 = `$2'11 * u11
`$1'21 = `$2'21 * u11
`$1'12 = `$2'11 * u21
`$1'22 = `$2'21 * u21
`$1'13 = `$2'11 * u31
`$1'23 = `$2'21 * u31
`$1'11 = `$1'11 + `$2'12 * u12
`$1'21 = `$1'21 + `$2'22 * u12
`$1'12 = `$1'12 + `$2'12 * u22
`$1'22 = `$1'22 + `$2'22 * u22
`$1'13 = `$1'13 + `$2'12 * u32
`$1'23 = `$1'23 + `$2'22 * u32
`$1'11 = `$1'11 + `$2'13 * u13
`$1'21 = `$1'21 + `$2'23 * u13
`$1'12 = `$1'12 + `$2'13 * u23
`$1'22 = `$1'22 + `$2'23 * u23
`$1'13 = `$1'13 + `$2'13 * u33
`$1'23 = `$1'23 + `$2'23 * u33')dnl

divert(-1)
/*
  a11 = in(1,1,i)-cmplx(-aimag(in(4,1,i)),real(in(4,1,i)),kind=8)
  a21 = in(2,1,i)-cmplx(-aimag(in(3,1,i)),real(in(3,1,i)),kind=8)
  a12 = in(1,2,i)-cmplx(-aimag(in(4,2,i)),real(in(4,2,i)),kind=8)
  a22 = in(2,2,i)-cmplx(-aimag(in(3,2,i)),real(in(3,2,i)),kind=8)
  a13 = in(1,3,i)-cmplx(-aimag(in(4,3,i)),real(in(4,3,i)),kind=8)
  a23 = in(2,3,i)-cmplx(-aimag(in(3,3,i)),real(in(3,3,i)),kind=8)
*/
divert(0)dnl