

#ifdef STOREMODEL_4_2

#define _qpx_vector_load(a,b) \
    a[0] = vec_ld(0l,&b.c1.re); \
    a[1] = vec_ld2(16l,&b.c3.re) 

#define _qpx_su3_load(a,b) \
    a[0] = vecld(0l,&b.c11.re);     /* c11 (c12) */ \
    a[5] = vecld(0l,&b.c13.re);     /* c13 (c21) */ \
    tv1[0] = vecld(0l,&b.c22.re);   /* (c22 c23) */ \
    a[2] = vecld(0,&(b.c31.re);     /* c31 (c32) */ \
    a[1] = vecld2(0,&(b.c33.re);    /* c33 xx */ \
        \
    perm = vec_gpci( 02367 ); \
    a[3] = vec_perm( tv1[0], tv1[0], perm );    /* c23 */ \
    a[4] = vec_perm( a[5], a[2], perm );        /* c21 c32 */ \
        \
    perm = vec_gpci( 00167 ); \
    a[2] = vec_perm( a[2], a[0], perm );        /* c31 c12 */ \
        \
    perm = vec_gpci( 00145 ); \
    a[0] = vec_perm( a[0], tv1[0], perm )       /* c11 c22 */ \

#define _qpx_su3_multiply(ra,u,a) \
    perm = vec_splats( 1.0 ); \
    perm = vec_insert( -1.0, perm, 0 ); \
    perm = vec_insert( -1.0, perm, 2 ); \
        \
    ra[0] = vec_xmul( a[0], u[0] ); \
    ra[1] = vec_xmul( a[1], u[1] ); \
        \
    ra[0] = vec_mul( ra[0], perm ); \
    ra[1] = vec_mul( ra[1], perm ); \
        \
    ra[0] = vec_xxnpmadd( u[0], a[0], ra[0] ); \
    ra[1] = vec_xxnpmadd( u[1], a[1], ra[1] ); \
        \
    ra[0] = vec_xmadd( a[0], u[2], ra[0] ); \
    ra[1] = vec_xmadd( a[1], u[3], ra[1] ); \
        \
    ra[0] = vec_mul( ra[0], perm ); \
    ra[1] = vec_mul( ra[1], perm ); \
        \
    ra[0] = vec_xxnpmadd( u[2], a[0], ra[0] ); \
    ra[1] = vec_xxnpmadd( u[3], a[1], ra[1] ); \
        \
    ra[0] = vec_xmadd( a[0], u[4], ra[0] ); \
    ra[1] = vec_xmadd( a[1], u[5], ra[1] ); \
        \
    ra[0] = vec_mul( ra[0], perm ); \
    ra[1] = vec_mul( ra[1], perm ); \
        \
    ra[0] = vec_xxnpmadd( u[4], a[0], ra[0] ); \
    ra[1] = vec_xxnpmadd( u[5], a[1], ra[1] )

#define _qpx_su3_multiply2(ra,rb,u,a,b) \
    perm = vec_splats( 1.0 ); \
    perm = vec_insert( -1.0, perm, 0 ); \
    perm = vec_insert( -1.0, perm, 2 ); \
        \
    ra[0] = vec_xmul( a[0], u[0] ); \
    ra[1] = vec_xmul( a[1], u[1] ); \
    rb[0] = vec_xmul( b[0], u[2] ); \
    rb[1] = vec_xmul( b[1], u[3] ); \
        \
    ra[0] = vec_mul( ra[0], perm ); \
    ra[1] = vec_mul( ra[1], perm ); \
    rb[0] = vec_mul( rb[0], perm ); \
    rb[1] = vec_mul( rb[1], perm ); \
        \
    ra[0] = vec_xxnpmadd( u[0], a[0], ra[0] ); \
    ra[1] = vec_xxnpmadd( u[1], a[1], ra[1] ); \
    rb[0] = vec_xxnpmadd( u[2], a[0], rb[0] ); \
    rb[1] = vec_xxnpmadd( u[3], a[1], rb[1] ); \
        \
    ra[0] = vec_xmadd( a[0], u[2], ra[0] ); \
    ra[1] = vec_xmadd( a[1], u[3], ra[1] ); \
    rb[0] = vec_xmadd( b[0], u[4], rb[0] ); \
    rb[1] = vec_xmadd( b[1], u[5], rb[1] ); \
        \
    ra[0] = vec_mul( ra[0], perm ); \
    ra[1] = vec_mul( ra[1], perm ); \
    rb[0] = vec_mul( rb[0], perm ); \
    rb[1] = vec_mul( rb[1], perm ); \
        \
    ra[0] = vec_xxnpmadd( u[2], a[0], ra[0] ); \
    ra[1] = vec_xxnpmadd( u[3], a[1], ra[1] ); \
    rb[0] = vec_xxnpmadd( u[4], a[0], rb[0] ); \
    rb[1] = vec_xxnpmadd( u[5], a[1], rb[1] ); \
        \
    ra[0] = vec_xmadd( a[0], u[4], ra[0] ); \
    ra[1] = vec_xmadd( a[1], u[5], ra[1] ); \
    rb[0] = vec_xmadd( b[0], u[0], rb[0] ); \
    rb[1] = vec_xmadd( b[1], u[1], rb[1] ); \
        \
    ra[0] = vec_mul( ra[0], perm ); \
    ra[1] = vec_mul( ra[1], perm ); \
    rb[0] = vec_mul( rb[0], perm ); \
    rb[1] = vec_mul( rb[1], perm ); \
        \
    ra[0] = vec_xxnpmadd( u[4], a[0], ra[0] ); \
    ra[1] = vec_xxnpmadd( u[5], a[1], ra[1] ); \
    rb[0] = vec_xxnpmadd( u[0], a[0], rb[0] ); \
    rb[1] = vec_xxnpmadd( u[1], a[1], rb[1] ) 
    
#define _qpx_su3_inv_multiply(ra,u,a) \
    perm = vec_splats( 1.0 ); \
    perm = vec_insert( -1.0, perm, 0 ); \
    perm = vec_insert( -1.0, perm, 2 ); \
        \
    ra[0] = vec_xmul( a[0], u[0] ); \
    ra[1] = vec_xmul( a[1], u[1] ); \
        \
    ra[0] = vec_mul( ra[0], perm ); \
    ra[1] = vec_mul( ra[1], perm ); \
        \
    ra[0] = vec_xxnpmadd( u[0], a[0], ra[0] ); \
    ra[1] = vec_xxnpmadd( u[1], a[1], ra[1] ); \
        \
    ra[0] = vec_xmadd( a[0], u[2], ra[0] ); \
    ra[1] = vec_xmadd( a[1], u[3], ra[1] ); \
        \
    ra[0] = vec_mul( ra[0], perm ); \
    ra[1] = vec_mul( ra[1], perm ); \
        \
    ra[0] = vec_xxnpmadd( u[2], a[0], ra[0] ); \
    ra[1] = vec_xxnpmadd( u[3], a[1], ra[1] ); \
        \
    ra[0] = vec_xmadd( a[0], u[4], ra[0] ); \
    ra[1] = vec_xmadd( a[1], u[5], ra[1] ); \
        \
    ra[0] = vec_mul( ra[0], perm ); \
    ra[1] = vec_mul( ra[1], perm ); \
        \
    ra[0] = vec_xxnpmadd( u[4], a[0], ra[0] ); \
    ra[1] = vec_xxnpmadd( u[5], a[1], ra[1] )


#elif STOREMODEL_SPINOR


#define _qpx_vector_load2(sc,a,b) \
    sc[0] = vec_ld(0l,&a.c1 ); \
    sc[2] = vec_ld(0l,&b.c1 ); \
    perm = vec_qpci( 02367 ); \
    sc[1] = vec_perm( sc[0], sc[2] ); \
    perm = vec_qpci( 00145 ); \
    sc[0] = vec_perm( sc[0], sc[2] ); \

#define _qpx_su3_load(cm,u) \
    cm[0] = vec_ld(0l,&u.c11); \
    cm[2] = vec_ld(0l,&u.c13); \
    cm[4] = vec_ld(0l,&u.c22); \
    ct[6] = vec_ld(0l,&u.c31); \
    cm[8] = vec_ld2(0l,&u.c33); \
    \
    perm = vec_gpci( 02233 ); \
    cm[1] = vec_perm( cm[0], cm[0], perm ); \
    cm[3] = vec_perm( cm[2], cm[2], perm ); \
    cm[5] = vec_perm( cm[4], cm[4], perm ); \
    cm[7] = vec_perm( cm[6], cm[6], perm ); \
    \
    perm = vec_gpci( 00011 ); \
    cm[0] = vec_perm( cm[0], cm[0], perm ); \
    cm[2] = vec_perm( cm[2], cm[2], perm ); \
    cm[4] = vec_perm( cm[4], cm[4], perm ); \
    cm[6] = vec_perm( cm[6], cm[6], perm ); \
    cm[8] = vec_perm( cm[8], cm[8], perm ) 

#define _qpx_vector_add(sca,scb) \
    sca = vec_add() \
    scb = vec_add(

#elif STOREMODEL_RE_IM

//#define _qpx_vector_load(a,b) \
    a[0][0] = b.c1.re; \
    a[0][1] = b.c2.re; \
    a[0][2] = b.c3.re; \
    a[1][0] = b.c1.im; \
    a[1][1] = b.c2.im; \
    a[1][2] = b.c3.im 

#define _qpx_vector_load(a,b) \
    tv1[0] = vec_ld(0l,&b); \
    tv1[1] = vec_ld(16l,&b); \
    \
    p[0] = vec_gpci( 00246 ); \
    p[1] = vec_gpci( 01357 ); \
    \
    a[0] = vec_perm( tv1[0], tv1[1], p[0] ); \
    a[1] = vec_perm( tv1[0], tv1[1], p[1] ) 


// #define _qpx_su3_load(a,b) \
    a[0][0] = b.c11.re; \
    a[0][1] = b.c22.re; \
    a[0][2] = b.c33.re; \
    a[1][0] = b.c11.im; \
    a[1][1] = b.c11.im; \
    a[1][2] = b.c11.im; \
    \
    a[2][0] = b.c31.re; \
    a[2][1] = b.c12.re; \
    a[2][2] = b.c23.re; \
    a[3][0] = b.c31.im; \
    a[3][1] = b.c12.im; \
    a[3][2] = b.c23.im; \
    \
    a[4][0] = b.c21.re; \
    a[4][1] = b.c32.re; \
    a[4][2] = b.c13.re; \
    a[5][0] = b.c21.im; \
    a[5][1] = b.c32.im; \
    a[5][2] = b.c13.im 

#define _qpx_su3_load(a,b) \
    tv1[0] = vecld(0l,&b); \
    tv1[1] = vecld(16l,&b); \
    tv1[2] = vecld(32l,&b); \
    tv1[3] = vecld(40l,&b); \
    tv1[4] = vecld(56l,&b); \
    \
    p[0] = vec_gpci( 00415 ); \
    a[0] = vec_perm( tv1[0], tv1[2], p[0] ); \
    p[1] = vec_gpci( 02370 ); \
    a[1] = vec_perm( a[0], tv[4], p[1] ); \
    p[2] = vec_qpci( 026 );
    a[2] = vec_perm( tv[0], tv[2], p[2] );
    a[3] = vec_perm( );
    a[0] = vec_perm( a[0], tv1[1], p[0] ); 



#else

#error "Choose storage model!"

#endif

#define _qpx_vector_add(a,b,c) \
    a[0] = vec_add(b[0],c[0]); \
    a[1] = vec_add(b[1],c[1]) 

