divert(-1)
#===============================================================================
#
# spin_proj.m4
#
#-------------------------------------------------------------------------------
#
# Copyright (C) 2008-2010 Yoshifumi Nakamura
#
# This file is part of BQCD -- Berlin Quantum ChromoDynamics program
#
# BQCD is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# BQCD is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
#
#-------------------------------------------------------------------------------
divert(0)dnl
divert(-1)
# macro for spin projection
divert(0)dnl
ifdef(`FLIPSC',`
define(SC01,`1,1')
define(SC02,`2,1')
define(SC03,`3,1')
define(SC04,`1,2')
define(SC05,`2,2')
define(SC06,`3,2')
define(SC07,`1,3')
define(SC08,`2,3')
define(SC09,`3,3')
define(SC10,`1,4')
define(SC11,`2,4')
define(SC12,`3,4')
',`
define(SC01,`1,1')
define(SC02,`1,2')
define(SC03,`1,3')
define(SC04,`2,1')
define(SC05,`2,2')
define(SC06,`2,3')
define(SC07,`3,1')
define(SC08,`3,2')
define(SC09,`3,3')
define(SC10,`4,1')
define(SC11,`4,2')
define(SC12,`4,3')')
define(`_PROJ_1_P_GAMMA1',`dnl
$1(1,1$3)=$2(SC01$4)-_ITS($2(SC10$4))
$1(2,1$3)=$2(SC04$4)-_ITS($2(SC07$4))
$1(1,2$3)=$2(SC02$4)-_ITS($2(SC11$4))
$1(2,2$3)=$2(SC05$4)-_ITS($2(SC08$4))
$1(1,3$3)=$2(SC03$4)-_ITS($2(SC12$4))
$1(2,3$3)=$2(SC06$4)-_ITS($2(SC09$4))')dnl
define(`_PROJ_1_M_GAMMA1',`dnl
$1(1,1$3)=$2(SC01$4)+_ITS($2(SC10$4))
$1(2,1$3)=$2(SC04$4)+_ITS($2(SC07$4))
$1(1,2$3)=$2(SC02$4)+_ITS($2(SC11$4))
$1(2,2$3)=$2(SC05$4)+_ITS($2(SC08$4))
$1(1,3$3)=$2(SC03$4)+_ITS($2(SC12$4))
$1(2,3$3)=$2(SC06$4)+_ITS($2(SC09$4))')dnl
define(`_PROJ_1_P_GAMMA2',`dnl
$1(1,1$3)=$2(SC01$4)-$2(SC10$4)
$1(2,1$3)=$2(SC04$4)+$2(SC07$4)
$1(1,2$3)=$2(SC02$4)-$2(SC11$4)
$1(2,2$3)=$2(SC05$4)+$2(SC08$4)
$1(1,3$3)=$2(SC03$4)-$2(SC12$4)
$1(2,3$3)=$2(SC06$4)+$2(SC09$4)')dnl
define(`_PROJ_1_M_GAMMA2',`dnl
$1(1,1$3)=$2(SC01$4)+$2(SC10$4)
$1(2,1$3)=$2(SC04$4)-$2(SC07$4)
$1(1,2$3)=$2(SC02$4)+$2(SC11$4)
$1(2,2$3)=$2(SC05$4)-$2(SC08$4)
$1(1,3$3)=$2(SC03$4)+$2(SC12$4)
$1(2,3$3)=$2(SC06$4)-$2(SC09$4)')dnl
define(`_PROJ_1_P_GAMMA3',`dnl
$1(1,1$3)=$2(SC01$4)-_ITS($2(SC07$4))
$1(2,1$3)=$2(SC04$4)+_ITS($2(SC10$4))
$1(1,2$3)=$2(SC02$4)-_ITS($2(SC08$4))
$1(2,2$3)=$2(SC05$4)+_ITS($2(SC11$4))
$1(1,3$3)=$2(SC03$4)-_ITS($2(SC09$4))
$1(2,3$3)=$2(SC06$4)+_ITS($2(SC12$4))')dnl
define(`_PROJ_1_M_GAMMA3',`dnl
$1(1,1$3)=$2(SC01$4)+_ITS($2(SC07$4))
$1(2,1$3)=$2(SC04$4)-_ITS($2(SC10$4))
$1(1,2$3)=$2(SC02$4)+_ITS($2(SC08$4))
$1(2,2$3)=$2(SC05$4)-_ITS($2(SC11$4))
$1(1,3$3)=$2(SC03$4)+_ITS($2(SC09$4))
$1(2,3$3)=$2(SC06$4)-_ITS($2(SC12$4))')dnl
define(`_PROJ_1_P_GAMMAC',`dnl
$1(1,1$3)=$2(SC01$4)+$2(SC07$4)
$1(2,1$3)=$2(SC04$4)+$2(SC10$4)
$1(1,2$3)=$2(SC02$4)+$2(SC08$4)
$1(2,2$3)=$2(SC05$4)+$2(SC11$4)
$1(1,3$3)=$2(SC03$4)+$2(SC09$4)
$1(2,3$3)=$2(SC06$4)+$2(SC12$4)')dnl
define(`_PROJ_1_M_GAMMAC',`dnl
$1(1,1$3)=$2(SC01$4)-$2(SC07$4)
$1(2,1$3)=$2(SC04$4)-$2(SC10$4)
$1(1,2$3)=$2(SC02$4)-$2(SC08$4)
$1(2,2$3)=$2(SC05$4)-$2(SC11$4)
$1(1,3$3)=$2(SC03$4)-$2(SC09$4)
$1(2,3$3)=$2(SC06$4)-$2(SC12$4)')dnl
define(`_PROJ_1_P_GAMMAN',`dnl
$1(1,1$3)=2*$2(SC01$4)
$1(2,1$3)=2*$2(SC04$4)
$1(1,2$3)=2*$2(SC02$4)
$1(2,2$3)=2*$2(SC05$4)
$1(1,3$3)=2*$2(SC03$4)
$1(2,3$3)=2*$2(SC06$4)')dnl
define(`_PROJ_1_M_GAMMAN',`dnl
$1(1,1$3)=2*$2(SC07$4)
$1(2,1$3)=2*$2(SC10$4)
$1(1,2$3)=2*$2(SC08$4)
$1(2,2$3)=2*$2(SC11$4)
$1(1,3$3)=2*$2(SC09$4)
$1(2,3$3)=2*$2(SC12$4)')dnl
define(`_PROJ_1_P_GAMMAC_FAC',`dnl
$1(1,1$3)=($2(SC01$4)+$2(SC07$4))*$5
$1(2,1$3)=($2(SC04$4)+$2(SC10$4))*$5
$1(1,2$3)=($2(SC02$4)+$2(SC08$4))*$5
$1(2,2$3)=($2(SC05$4)+$2(SC11$4))*$5
$1(1,3$3)=($2(SC03$4)+$2(SC09$4))*$5
$1(2,3$3)=($2(SC06$4)+$2(SC12$4))*$5')dnl
define(`_PROJ_1_M_GAMMAC_FAC',`dnl
$1(1,1$3)=($2(SC01$4)-$2(SC07$4))*$5
$1(2,1$3)=($2(SC04$4)-$2(SC10$4))*$5
$1(1,2$3)=($2(SC02$4)-$2(SC08$4))*$5
$1(2,2$3)=($2(SC05$4)-$2(SC11$4))*$5
$1(1,3$3)=($2(SC03$4)-$2(SC09$4))*$5
$1(2,3$3)=($2(SC06$4)-$2(SC12$4))*$5')dnl
define(`_PROJ_1_P_GAMMAN_FAC',`dnl
$1(1,1$3)=2*$2(SC01$4)*$5
$1(2,1$3)=2*$2(SC04$4)*$5
$1(1,2$3)=2*$2(SC02$4)*$5
$1(2,2$3)=2*$2(SC05$4)*$5
$1(1,3$3)=2*$2(SC03$4)*$5
$1(2,3$3)=2*$2(SC06$4)*$5')dnl
define(`_PROJ_1_M_GAMMAN_FAC',`dnl
$1(1,1$3)=2*$2(SC07$4)*$5
$1(2,1$3)=2*$2(SC10$4)*$5
$1(1,2$3)=2*$2(SC08$4)*$5
$1(2,2$3)=2*$2(SC11$4)*$5
$1(1,3$3)=2*$2(SC09$4)*$5
$1(2,3$3)=2*$2(SC12$4)*$5')dnl
dnl
dnl
dnl
define(`_proj_1_p_gamma1',`dnl
  `$1'11=$2(SC01`$3')-_ITS($2(SC10`$3'))
  `$1'21=$2(SC04`$3')-_ITS($2(SC07`$3'))
  `$1'12=$2(SC02`$3')-_ITS($2(SC11`$3'))
  `$1'22=$2(SC05`$3')-_ITS($2(SC08`$3'))
  `$1'13=$2(SC03`$3')-_ITS($2(SC12`$3'))
  `$1'23=$2(SC06`$3')-_ITS($2(SC09`$3'))')dnl
define(`_proj_1_m_gamma1',`dnl
  `$1'11=$2(SC01`$3')+_ITS($2(SC10`$3'))
  `$1'21=$2(SC04`$3')+_ITS($2(SC07`$3'))
  `$1'12=$2(SC02`$3')+_ITS($2(SC11`$3'))
  `$1'22=$2(SC05`$3')+_ITS($2(SC08`$3'))
  `$1'13=$2(SC03`$3')+_ITS($2(SC12`$3'))
  `$1'23=$2(SC06`$3')+_ITS($2(SC09`$3'))')dnl
define(`_proj_1_p_gamma2',`dnl
  `$1'11=$2(SC01`$3')-$2(SC10`$3')
  `$1'21=$2(SC04`$3')+$2(SC07`$3')
  `$1'12=$2(SC02`$3')-$2(SC11`$3')
  `$1'22=$2(SC05`$3')+$2(SC08`$3')
  `$1'13=$2(SC03`$3')-$2(SC12`$3')
  `$1'23=$2(SC06`$3')+$2(SC09`$3')')dnl
define(`_proj_1_m_gamma2',`dnl
  `$1'11=$2(SC01`$3')+$2(SC10`$3')
  `$1'21=$2(SC04`$3')-$2(SC07`$3')
  `$1'12=$2(SC02`$3')+$2(SC11`$3')
  `$1'22=$2(SC05`$3')-$2(SC08`$3')
  `$1'13=$2(SC03`$3')+$2(SC12`$3')
  `$1'23=$2(SC06`$3')-$2(SC09`$3')')dnl
define(`_proj_1_p_gamma3',`dnl
  `$1'11=$2(SC01`$3')-_ITS($2(SC07`$3'))
  `$1'21=$2(SC04`$3')+_ITS($2(SC10`$3'))
  `$1'12=$2(SC02`$3')-_ITS($2(SC08`$3'))
  `$1'22=$2(SC05`$3')+_ITS($2(SC11`$3'))
  `$1'13=$2(SC03`$3')-_ITS($2(SC09`$3'))
  `$1'23=$2(SC06`$3')+_ITS($2(SC12`$3'))')dnl
define(`_proj_1_m_gamma3',`dnl
  `$1'11=$2(SC01`$3')+_ITS($2(SC07`$3'))
  `$1'21=$2(SC04`$3')-_ITS($2(SC10`$3'))
  `$1'12=$2(SC02`$3')+_ITS($2(SC08`$3'))
  `$1'22=$2(SC05`$3')-_ITS($2(SC11`$3'))
  `$1'13=$2(SC03`$3')+_ITS($2(SC09`$3'))
  `$1'23=$2(SC06`$3')-_ITS($2(SC12`$3'))')dnl
define(`_proj_1_p_gammac',`dnl
  `$1'11=$2(SC01`$3')+$2(SC07`$3')
  `$1'21=$2(SC04`$3')+$2(SC10`$3')
  `$1'12=$2(SC02`$3')+$2(SC08`$3')
  `$1'22=$2(SC05`$3')+$2(SC11`$3')
  `$1'13=$2(SC03`$3')+$2(SC09`$3')
  `$1'23=$2(SC06`$3')+$2(SC12`$3')')dnl
define(`_proj_1_m_gammac',`dnl
  `$1'11=$2(SC01`$3')-$2(SC07`$3')
  `$1'21=$2(SC04`$3')-$2(SC10`$3')
  `$1'12=$2(SC02`$3')-$2(SC08`$3')
  `$1'22=$2(SC05`$3')-$2(SC11`$3')
  `$1'13=$2(SC03`$3')-$2(SC09`$3')
  `$1'23=$2(SC06`$3')-$2(SC12`$3')')dnl
define(`_proj_1_p_gamman',`dnl
  `$1'11=2*$2(SC01`$3')
  `$1'21=2*$2(SC04`$3')
  `$1'12=2*$2(SC02`$3')
  `$1'22=2*$2(SC05`$3')
  `$1'13=2*$2(SC03`$3')
  `$1'23=2*$2(SC06`$3')')dnl
define(`_proj_1_m_gamman',`dnl
  `$1'11=2*$2(SC07`$3')
  `$1'21=2*$2(SC10`$3')
  `$1'12=2*$2(SC08`$3')
  `$1'22=2*$2(SC11`$3')
  `$1'13=2*$2(SC09`$3')
  `$1'23=2*$2(SC12`$3')')dnl